net.sf.jasperreports.engine.design

## Class JRDesignChart

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElement
  - - net.sf.jasperreports.engine.design.JRDesignElement
    - - net.sf.jasperreports.engine.design.JRDesignChart

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRAnchor, JRBoxContainer, JRChart, JRChild, JRCloneable, JRCommonElement, JRElement, JREvaluation, JRHyperlink, JRIdentifiable, JRPropertiesHolder, JRStyleContainer, JRVisitable

      public class JRDesignChart
      extends JRDesignElement
      implements JRChart

  Version:
    $Id: JRDesignChart.java 5912 2013-01-31 14:50:33Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `anchorNameExpression`
    `protected int` | `bookmarkLevel` The bookmark level for the anchor associated with this chart.
    `protected byte` | `chartType`
    `protected java.lang.String` | `customizerClass`
    `protected JRChartDataset` | `dataset`
    `protected JRGroup` | `evaluationGroup`
    `protected EvaluationTimeEnum` | `evaluationTimeValue`
    `protected JRExpression` | `hyperlinkAnchorExpression`
    `protected JRExpression` | `hyperlinkPageExpression`
    `protected JRExpression` | `hyperlinkReferenceExpression`
    `protected JRExpression` | `hyperlinkWhenExpression`
    `protected java.awt.Color` | `legendBackgroundColor`
    `protected java.awt.Color` | `legendColor`
    `protected JRFont` | `legendFont`
    `protected EdgeEnum` | `legendPositionValue`
    `protected JRLineBox` | `lineBox`
    `protected java.lang.String` | `linkTarget`
    `protected java.lang.String` | `linkType`
    `protected JRChartPlot` | `plot`
    `static java.lang.String` | `PROPERTY_ANCHOR_NAME_EXPRESSION`
    `static java.lang.String` | `PROPERTY_BOOKMARK_LEVEL`
    `static java.lang.String` | `PROPERTY_CHART_TYPE`
    `static java.lang.String` | `PROPERTY_CUSTOMIZER_CLASS`
    `static java.lang.String` | `PROPERTY_DATASET`
    `static java.lang.String` | `PROPERTY_EVALUATION_GROUP`
    `static java.lang.String` | `PROPERTY_EVALUATION_TIME`
    `static java.lang.String` | `PROPERTY_LEGEND_FONT`
    `static java.lang.String` | `PROPERTY_SUBTITLE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_SUBTITLE_FONT`
    `static java.lang.String` | `PROPERTY_TITLE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_TITLE_FONT`
    `protected java.lang.String` | `renderType`
    `protected java.lang.Boolean` | `showLegend`
    `protected java.awt.Color` | `subtitleColor`
    `protected JRExpression` | `subtitleExpression`
    `protected JRFont` | `subtitleFont`
    `protected java.lang.String` | `theme`
    `protected java.awt.Color` | `titleColor`
    `protected JRExpression` | `titleExpression`
    `protected JRFont` | `titleFont`
    `protected EdgeEnum` | `titlePositionValue`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElement

      `PROPERTY_ELEMENT_GROUP, PROPERTY_HEIGHT, PROPERTY_KEY, PROPERTY_PARENT_STYLE, PROPERTY_PARENT_STYLE_NAME_REFERENCE, PROPERTY_PRINT_WHEN_EXPRESSION, PROPERTY_PRINT_WHEN_GROUP_CHANGES, PROPERTY_PROPERTY_EXPRESSIONS, PROPERTY_Y`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElement

      `backcolor, defaultStyleProvider, elementGroup, forecolor, height, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, key, modeValue, parentStyle, parentStyleNameReference, positionTypeValue, printWhenExpression, printWhenGroupChanges, PROPERTY_POSITION_TYPE, PROPERTY_PRINT_IN_FIRST_WHOLE_BAND, PROPERTY_PRINT_REPEATED_VALUES, PROPERTY_PRINT_WHEN_DETAIL_OVERFLOWS, PROPERTY_REMOVE_LINE_WHEN_BLANK, PROPERTY_STRETCH_TYPE, PROPERTY_WIDTH, PROPERTY_X, stretchTypeValue, uuid, width, x, y`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChart

      `CHART_TYPE_AREA, CHART_TYPE_BAR, CHART_TYPE_BAR3D, CHART_TYPE_BUBBLE, CHART_TYPE_CANDLESTICK, CHART_TYPE_GANTT, CHART_TYPE_HIGHLOW, CHART_TYPE_LINE, CHART_TYPE_METER, CHART_TYPE_MULTI_AXIS, CHART_TYPE_PIE, CHART_TYPE_PIE3D, CHART_TYPE_SCATTER, CHART_TYPE_STACKEDAREA, CHART_TYPE_STACKEDBAR, CHART_TYPE_STACKEDBAR3D, CHART_TYPE_THERMOMETER, CHART_TYPE_TIMESERIES, CHART_TYPE_XYAREA, CHART_TYPE_XYBAR, CHART_TYPE_XYLINE, PROPERTY_CHART_RENDER_TYPE, PROPERTY_CHART_THEME, RENDER_TYPE_DRAW, RENDER_TYPE_IMAGE, RENDER_TYPE_SVG`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRAnchor

      `NO_BOOKMARK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignChart(JRDefaultStyleProvider defaultStyleProvider, byte chartType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHyperlinkParameter(JRHyperlinkParameter parameter)` Adds a custom hyperlink parameter.
    `java.lang.Object` | `clone()`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `JRExpression` | `getAnchorNameExpression()` Returns an expression whose value represents the anchor name.
    `int` | `getBookmarkLevel()` Returns the level of the bookmark corresponding to the anchor.
    `byte` | `getChartType()` Gets the chart type.
    `java.lang.String` | `getCustomizerClass()` Gets a user specified chart customizer class name.
    `JRChartDataset` | `getDataset()` Gets the chart dataset.
    `java.awt.Color` | `getDefaultLineColor()`
    `JRGroup` | `getEvaluationGroup()` Gets the evaluation group for this text field.
    `EvaluationTimeEnum` | `getEvaluationTimeValue()` Gets the evaluation time for this text field.
    `JRExpression` | `getHyperlinkAnchorExpression()` Returns the expression whose value represents the anchor.
    `JRExpression` | `getHyperlinkPageExpression()` Returns an integer representing the page index of the link.
    `JRHyperlinkParameter[]` | `getHyperlinkParameters()` Returns the list of hyperlink parameters.
    `java.util.List<JRHyperlinkParameter>` | `getHyperlinkParametersList()` Returns the list of custom hyperlink parameters.
    `JRExpression` | `getHyperlinkReferenceExpression()` Returns the expression whose value represents the hyperlink reference.
    `byte` | `getHyperlinkTarget()` Retrieves the hyperlink target for the element.
    `JRExpression` | `getHyperlinkTooltipExpression()` Returns the expression which will generate the hyperlink tooltip.
    `byte` | `getHyperlinkType()` Deprecated. Replaced by `getHyperlinkTypeValue()`.
    `HyperlinkTypeEnum` | `getHyperlinkTypeValue()` Retrieves the hyperlink type for the element.
    `JRExpression` | `getHyperlinkWhenExpression()` Returns the expression that is evaluated in order to decide if the hyperlink should be displayed.
    `java.awt.Color` | `getLegendBackgroundColor()`
    `java.awt.Color` | `getLegendColor()`
    `JRFont` | `getLegendFont()`
    `EdgeEnum` | `getLegendPositionValue()`
    `JRLineBox` | `getLineBox()`
    `java.lang.String` | `getLinkTarget()` Returns the hyperlink target name.
    `java.lang.String` | `getLinkType()` Returns the hyperlink type.
    `ModeEnum` | `getModeValue()` Returns the element transparency mode.
    `java.awt.Color` | `getOwnLegendBackgroundColor()`
    `java.awt.Color` | `getOwnLegendColor()`
    `java.awt.Color` | `getOwnSubtitleColor()`
    `java.awt.Color` | `getOwnTitleColor()`
    `JRChartPlot` | `getPlot()` Gets the chart plot.
    `java.lang.String` | `getRenderType()`
    `java.lang.Boolean` | `getShowLegend()`
    `java.awt.Color` | `getSubtitleColor()`
    `JRExpression` | `getSubtitleExpression()` Gets the expression whose evaluation will form the subtitle.
    `JRFont` | `getSubtitleFont()`
    `java.lang.String` | `getTheme()`
    `java.awt.Color` | `getTitleColor()`
    `JRExpression` | `getTitleExpression()` Gets the expression whose evaluation will form the title.
    `JRFont` | `getTitleFont()`
    `EdgeEnum` | `getTitlePositionValue()` Gets the title position relative to the chart.
    `void` | `removeHyperlinkParameter(JRHyperlinkParameter parameter)` Removes a custom hyperlink parameter.
    `void` | `removeHyperlinkParameter(java.lang.String parameterName)` Removes a custom hyperlink parameter.
    `void` | `setAnchorNameExpression(JRExpression anchorNameExpression)`
    `void` | `setBookmarkLevel(int bookmarkLevel)` Sets the boomark level for the anchor associated with this chart.
    `void` | `setChartType(byte chartType)`
    `void` | `setCustomizerClass(java.lang.String customizerClass)` Sets a user specified chart customizer class name.
    `void` | `setDataset(JRChartDataset ds)`
    `void` | `setEvaluationGroup(JRGroup group)`
    `void` | `setEvaluationTime(EvaluationTimeEnum evaluationTimeValue)`
    `void` | `setHyperlinkAnchorExpression(JRExpression hyperlinkAnchorExpression)`
    `void` | `setHyperlinkPageExpression(JRExpression hyperlinkPageExpression)`
    `void` | `setHyperlinkReferenceExpression(JRExpression hyperlinkReferenceExpression)`
    `void` | `setHyperlinkTarget(byte hyperlinkTarget)` Deprecated. Replaced by `setHyperlinkTarget(HyperlinkTargetEnum)`.
    `void` | `setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)`
    `void` | `setHyperlinkTooltipExpression(JRExpression hyperlinkTooltipExpression)` Sets the expression which will be used to generate the hyperlink tooltip.
    `void` | `setHyperlinkType(byte hyperlinkType)` Deprecated. Replaced by `setHyperlinkType(HyperlinkTypeEnum)`.
    `void` | `setHyperlinkType(HyperlinkTypeEnum hyperlinkType)` Sets the link type as a built-in hyperlink type.
    `void` | `setHyperlinkWhenExpression(JRExpression hyperlinkWhenExpression)`
    `void` | `setLegendBackgroundColor(java.awt.Color legendBackgroundColor)`
    `void` | `setLegendColor(java.awt.Color legendColor)`
    `void` | `setLegendFont(JRFont legendFont)`
    `void` | `setLegendPosition(EdgeEnum legendPositionValue)`
    `void` | `setLinkTarget(java.lang.String target)` Sets the hyperlink target.
    `void` | `setLinkType(java.lang.String type)` Sets the hyperlink type.
    `void` | `setRenderType(java.lang.String renderType)`
    `void` | `setShowLegend(java.lang.Boolean isShowLegend)`
    `void` | `setSubtitleColor(java.awt.Color subtitleColor)`
    `void` | `setSubtitleExpression(JRExpression expression)`
    `void` | `setSubtitleFont(JRFont font)`
    `void` | `setTheme(java.lang.String theme)`
    `void` | `setTitleColor(java.awt.Color titleColor)`
    `void` | `setTitleExpression(JRExpression expression)`
    `void` | `setTitleFont(JRFont font)`
    `void` | `setTitlePosition(EdgeEnum titlePositionValue)` Sets the title position relative to the chart.
    `void` | `visit(JRVisitor visitor)`

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElement

      `addPropertyExpression, getPropertyExpressions, getPropertyExpressionsList, removePropertyExpression, removePropertyExpression, setElementGroup, setHeight, setKey, setPrintWhenExpression, setPrintWhenGroupChanges, setStyle, setStyleNameReference, setUUID, setY`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElement

      `clone, clone, getBackcolor, getBaseStyle, getDefaultStyleProvider, getElementGroup, getEventSupport, getForecolor, getHeight, getKey, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getStretchTypeValue, getStyle, getStyleNameReference, getUUID, getWidth, getX, getY, hasProperties, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setBackcolor, setForecolor, setMode, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

- - ### Field Detail

    - #### PROPERTY_ANCHOR_NAME_EXPRESSION

          public static final java.lang.String PROPERTY_ANCHOR_NAME_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_BOOKMARK_LEVEL

          public static final java.lang.String PROPERTY_BOOKMARK_LEVEL

      See Also:
        Constant Field Values

    - #### PROPERTY_EVALUATION_GROUP

          public static final java.lang.String PROPERTY_EVALUATION_GROUP

      See Also:
        Constant Field Values

    - #### PROPERTY_EVALUATION_TIME

          public static final java.lang.String PROPERTY_EVALUATION_TIME

      See Also:
        Constant Field Values

    - #### PROPERTY_CHART_TYPE

          public static final java.lang.String PROPERTY_CHART_TYPE

      See Also:
        Constant Field Values

    - #### PROPERTY_CUSTOMIZER_CLASS

          public static final java.lang.String PROPERTY_CUSTOMIZER_CLASS

      See Also:
        Constant Field Values

    - #### PROPERTY_DATASET

          public static final java.lang.String PROPERTY_DATASET

      See Also:
        Constant Field Values

    - #### PROPERTY_LEGEND_FONT

          public static final java.lang.String PROPERTY_LEGEND_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_SUBTITLE_EXPRESSION

          public static final java.lang.String PROPERTY_SUBTITLE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_SUBTITLE_FONT

          public static final java.lang.String PROPERTY_SUBTITLE_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_TITLE_EXPRESSION

          public static final java.lang.String PROPERTY_TITLE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_TITLE_FONT

          public static final java.lang.String PROPERTY_TITLE_FONT

      See Also:
        Constant Field Values

    - #### chartType

          protected byte chartType

    - #### showLegend

          protected java.lang.Boolean showLegend

    - #### evaluationTimeValue

          protected EvaluationTimeEnum evaluationTimeValue

    - #### linkType

          protected java.lang.String linkType

    - #### linkTarget

          protected java.lang.String linkTarget

    - #### titleColor

          protected java.awt.Color titleColor

    - #### subtitleColor

          protected java.awt.Color subtitleColor

    - #### legendColor

          protected java.awt.Color legendColor

    - #### legendBackgroundColor

          protected java.awt.Color legendBackgroundColor

    - #### renderType

          protected java.lang.String renderType

    - #### theme

          protected java.lang.String theme

    - #### titleFont

          protected JRFont titleFont

    - #### subtitleFont

          protected JRFont subtitleFont

    - #### legendFont

          protected JRFont legendFont

    - #### legendPositionValue

          protected EdgeEnum legendPositionValue

    - #### titlePositionValue

          protected EdgeEnum titlePositionValue

    - #### customizerClass

          protected java.lang.String customizerClass

    - #### evaluationGroup

          protected JRGroup evaluationGroup

    - #### titleExpression

          protected JRExpression titleExpression

    - #### subtitleExpression

          protected JRExpression subtitleExpression

    - #### anchorNameExpression

          protected JRExpression anchorNameExpression

    - #### hyperlinkReferenceExpression

          protected JRExpression hyperlinkReferenceExpression

    - #### hyperlinkWhenExpression

          protected JRExpression hyperlinkWhenExpression

    - #### hyperlinkAnchorExpression

          protected JRExpression hyperlinkAnchorExpression

    - #### hyperlinkPageExpression

          protected JRExpression hyperlinkPageExpression

    - #### dataset

          protected JRChartDataset dataset

    - #### plot

          protected JRChartPlot plot

    - #### lineBox

          protected JRLineBox lineBox

    - #### bookmarkLevel

          protected int bookmarkLevel

      The bookmark level for the anchor associated with this chart.
      See Also:
        `JRAnchor.getBookmarkLevel()`

  - ### Constructor Detail

    - #### JRDesignChart

          public JRDesignChart(JRDefaultStyleProvider defaultStyleProvider,
                       byte chartType)

  - ### Method Detail

    - #### getShowLegend

          public java.lang.Boolean getShowLegend()

      Specified by:
        `getShowLegend` in interface `JRChart`

    - #### setShowLegend

          public void setShowLegend(java.lang.Boolean isShowLegend)

      Specified by:
        `setShowLegend` in interface `JRChart`

    - #### getRenderType

          public java.lang.String getRenderType()

      Specified by:
        `getRenderType` in interface `JRChart`

    - #### setRenderType

          public void setRenderType(java.lang.String renderType)

      Specified by:
        `setRenderType` in interface `JRChart`

    - #### getTheme

          public java.lang.String getTheme()

      Specified by:
        `getTheme` in interface `JRChart`

    - #### setTheme

          public void setTheme(java.lang.String theme)

      Specified by:
        `setTheme` in interface `JRChart`

    - #### getEvaluationTimeValue

          public EvaluationTimeEnum getEvaluationTimeValue()

      Description copied from interface: `JREvaluation`
      Gets the evaluation time for this text field.
      Specified by:
        `getEvaluationTimeValue` in interface `JREvaluation`
      Returns:
        one of the evaluation time constants in `JRExpression`

    - #### setEvaluationTime

          public void setEvaluationTime(EvaluationTimeEnum evaluationTimeValue)

    - #### getEvaluationGroup

          public JRGroup getEvaluationGroup()

      Description copied from interface: `JREvaluation`
      Gets the evaluation group for this text field. Used only when evaluation time is group.
      Specified by:
        `getEvaluationGroup` in interface `JREvaluation`
      See Also:
        `EvaluationTimeEnum.GROUP`

    - #### setEvaluationGroup

          public void setEvaluationGroup(JRGroup group)

    - #### getLineBox

          public JRLineBox getLineBox()

      Specified by:
        `getLineBox` in interface `JRBoxContainer`

    - #### getTitleFont

          public JRFont getTitleFont()

      Specified by:
        `getTitleFont` in interface `JRChart`

    - #### setTitleFont

          public void setTitleFont(JRFont font)

    - #### getTitlePositionValue

          public EdgeEnum getTitlePositionValue()

      Description copied from interface: `JRChart`
      Gets the title position relative to the chart.
      Specified by:
        `getTitlePositionValue` in interface `JRChart`

    - #### setTitlePosition

          public void setTitlePosition(EdgeEnum titlePositionValue)

      Description copied from interface: `JRChart`
      Sets the title position relative to the chart.
      Specified by:
        `setTitlePosition` in interface `JRChart`

    - #### getTitleColor

          public java.awt.Color getTitleColor()

      Specified by:
        `getTitleColor` in interface `JRChart`

    - #### getOwnTitleColor

          public java.awt.Color getOwnTitleColor()

      Specified by:
        `getOwnTitleColor` in interface `JRChart`

    - #### setTitleColor

          public void setTitleColor(java.awt.Color titleColor)

      Specified by:
        `setTitleColor` in interface `JRChart`

    - #### getSubtitleFont

          public JRFont getSubtitleFont()

      Specified by:
        `getSubtitleFont` in interface `JRChart`

    - #### setSubtitleFont

          public void setSubtitleFont(JRFont font)

    - #### getSubtitleColor

          public java.awt.Color getSubtitleColor()

      Specified by:
        `getSubtitleColor` in interface `JRChart`

    - #### getOwnSubtitleColor

          public java.awt.Color getOwnSubtitleColor()

      Specified by:
        `getOwnSubtitleColor` in interface `JRChart`

    - #### setSubtitleColor

          public void setSubtitleColor(java.awt.Color subtitleColor)

      Specified by:
        `setSubtitleColor` in interface `JRChart`

    - #### getOwnLegendColor

          public java.awt.Color getOwnLegendColor()

      Specified by:
        `getOwnLegendColor` in interface `JRChart`

    - #### getLegendColor

          public java.awt.Color getLegendColor()

      Specified by:
        `getLegendColor` in interface `JRChart`

    - #### setLegendColor

          public void setLegendColor(java.awt.Color legendColor)

      Specified by:
        `setLegendColor` in interface `JRChart`

    - #### getOwnLegendBackgroundColor

          public java.awt.Color getOwnLegendBackgroundColor()

      Specified by:
        `getOwnLegendBackgroundColor` in interface `JRChart`

    - #### getLegendBackgroundColor

          public java.awt.Color getLegendBackgroundColor()

      Specified by:
        `getLegendBackgroundColor` in interface `JRChart`

    - #### setLegendBackgroundColor

          public void setLegendBackgroundColor(java.awt.Color legendBackgroundColor)

      Specified by:
        `setLegendBackgroundColor` in interface `JRChart`

    - #### getLegendFont

          public JRFont getLegendFont()

      Specified by:
        `getLegendFont` in interface `JRChart`

    - #### setLegendFont

          public void setLegendFont(JRFont legendFont)

    - #### getLegendPositionValue

          public EdgeEnum getLegendPositionValue()

      Specified by:
        `getLegendPositionValue` in interface `JRChart`

    - #### setLegendPosition

          public void setLegendPosition(EdgeEnum legendPositionValue)

      Specified by:
        `setLegendPosition` in interface `JRChart`

    - #### getHyperlinkType

          public byte getHyperlinkType()

      Deprecated. Replaced by `getHyperlinkTypeValue()`.
      Specified by:
        `getHyperlinkType` in interface `JRHyperlink`

    - #### getHyperlinkTypeValue

          public HyperlinkTypeEnum getHyperlinkTypeValue()

      Description copied from interface: `JRHyperlink`
      Retrieves the hyperlink type for the element.

      The actual hyperlink type is determined by `getLinkType()`. This method can is used to determine whether the hyperlink type is one of the built-in types or a custom type. When hyperlink is of custom type, `CUSTOM` is returned.

      Specified by:
        `getHyperlinkTypeValue` in interface `JRHyperlink`
      Returns:
        one of the hyperlink type constants
      See Also:
        `JRHyperlink.getLinkType()`

    - #### setHyperlinkType

          public void setHyperlinkType(byte hyperlinkType)

      Deprecated. Replaced by `setHyperlinkType(HyperlinkTypeEnum)`.

    - #### setHyperlinkType

          public void setHyperlinkType(HyperlinkTypeEnum hyperlinkType)

      Sets the link type as a built-in hyperlink type.
      Parameters:
        `hyperlinkType` - the built-in hyperlink type
      See Also:
        `getLinkType()`

    - #### getHyperlinkTarget

          public byte getHyperlinkTarget()

      Description copied from interface: `JRHyperlink`
      Retrieves the hyperlink target for the element.

      The actual hyperlink target is determined by `getLinkTarget()`. This method can is used to determine whether the hyperlink target is one of the built-in target names or a custom one. When hyperlink has a custom target name, `HyperlinkTargetEnum.CUSTOM` is returned.

      Specified by:
        `getHyperlinkTarget` in interface `JRHyperlink`
      Returns:
        one of the hyperlink target constants
      See Also:
        `JRHyperlink.getLinkTarget()`

    - #### setHyperlinkTarget

          public void setHyperlinkTarget(byte hyperlinkTarget)

      Deprecated. Replaced by `setHyperlinkTarget(HyperlinkTargetEnum)`.

    - #### setHyperlinkTarget

          public void setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)

    - #### getTitleExpression

          public JRExpression getTitleExpression()

      Description copied from interface: `JRChart`
      Gets the expression whose evaluation will form the title.
      Specified by:
        `getTitleExpression` in interface `JRChart`

    - #### setTitleExpression

          public void setTitleExpression(JRExpression expression)

    - #### getSubtitleExpression

          public JRExpression getSubtitleExpression()

      Description copied from interface: `JRChart`
      Gets the expression whose evaluation will form the subtitle.
      Specified by:
        `getSubtitleExpression` in interface `JRChart`

    - #### setSubtitleExpression

          public void setSubtitleExpression(JRExpression expression)

    - #### getAnchorNameExpression

          public JRExpression getAnchorNameExpression()

      Description copied from interface: `JRAnchor`
      Returns an expression whose value represents the anchor name.
      Specified by:
        `getAnchorNameExpression` in interface `JRAnchor`

    - #### setAnchorNameExpression

          public void setAnchorNameExpression(JRExpression anchorNameExpression)

    - #### getHyperlinkReferenceExpression

          public JRExpression getHyperlinkReferenceExpression()

      Description copied from interface: `JRHyperlink`
      Returns the expression whose value represents the hyperlink reference. It is only used when the hyperlink type is reference or anchor
      Specified by:
        `getHyperlinkReferenceExpression` in interface `JRHyperlink`

    - #### setHyperlinkReferenceExpression

          public void setHyperlinkReferenceExpression(JRExpression hyperlinkReferenceExpression)

    - #### getHyperlinkWhenExpression

          public JRExpression getHyperlinkWhenExpression()

      Description copied from interface: `JRHyperlink`
      Returns the expression that is evaluated in order to decide if the hyperlink should be displayed. This expression always returns a boolean value.
      Specified by:
        `getHyperlinkWhenExpression` in interface `JRHyperlink`

    - #### setHyperlinkWhenExpression

          public void setHyperlinkWhenExpression(JRExpression hyperlinkWhenExpression)

    - #### getHyperlinkAnchorExpression

          public JRExpression getHyperlinkAnchorExpression()

      Description copied from interface: `JRHyperlink`
      Returns the expression whose value represents the anchor. It is only used when the hyperlink type is anchor.
      Specified by:
        `getHyperlinkAnchorExpression` in interface `JRHyperlink`

    - #### setHyperlinkAnchorExpression

          public void setHyperlinkAnchorExpression(JRExpression hyperlinkAnchorExpression)

    - #### getHyperlinkPageExpression

          public JRExpression getHyperlinkPageExpression()

      Description copied from interface: `JRHyperlink`
      Returns an integer representing the page index of the link. It is only used when the hyperlink type is page. If the expression does not evaluate to an integer, an exception will be thrown.
      Specified by:
        `getHyperlinkPageExpression` in interface `JRHyperlink`

    - #### setHyperlinkPageExpression

          public void setHyperlinkPageExpression(JRExpression hyperlinkPageExpression)

    - #### getDataset

          public JRChartDataset getDataset()

      Description copied from interface: `JRChart`
      Gets the chart dataset. Most chart types have different dataset structures, depending on the chart type.
      Specified by:
        `getDataset` in interface `JRChart`

    - #### getPlot

          public JRChartPlot getPlot()

      Description copied from interface: `JRChart`
      Gets the chart plot. Plots are used to define various chart visual properties, such as colors and transparency.
      Specified by:
        `getPlot` in interface `JRChart`

    - #### getChartType

          public byte getChartType()

      Description copied from interface: `JRChart`
      Gets the chart type. It must be one of the chart type constants in this class.
      Specified by:
        `getChartType` in interface `JRChart`

    - #### setChartType

          public void setChartType(byte chartType)

    - #### setDataset

          public void setDataset(JRChartDataset ds)

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElement`

    - #### visit

          public void visit(JRVisitor visitor)

      Specified by:
        `visit` in interface `JRVisitable`

    - #### getBookmarkLevel

          public int getBookmarkLevel()

      Description copied from interface: `JRAnchor`
      Returns the level of the bookmark corresponding to the anchor.
      Specified by:
        `getBookmarkLevel` in interface `JRAnchor`
      Returns:
        the level of the bookmark corresponding to the anchor (starting from 1) or `NO_BOOKMARK` if no bookmark should be created for this anchor

    - #### setBookmarkLevel

          public void setBookmarkLevel(int bookmarkLevel)

      Sets the boomark level for the anchor associated with this chart.
      Parameters:
        `bookmarkLevel` - the bookmark level (starting from 1) or `NO_BOOKMARK` if no bookmark should be created

    - #### getCustomizerClass

          public java.lang.String getCustomizerClass()

      Description copied from interface: `JRChart`
      Gets a user specified chart customizer class name.
      Specified by:
        `getCustomizerClass` in interface `JRChart`
      See Also:
        `JRChartCustomizer`

    - #### setCustomizerClass

          public void setCustomizerClass(java.lang.String customizerClass)

      Sets a user specified chart customizer class name.
      See Also:
        `JRChartCustomizer`

    - #### getModeValue

          public ModeEnum getModeValue()

      Description copied from interface: `JRCommonElement`
      Returns the element transparency mode. The default value depends on the type of the report element. Graphic elements like rectangles and lines are opaque by default, but the images are transparent. Both static texts and text fields are transparent by default, and so are the subreport elements.
      Specified by:
        `getModeValue` in interface `JRCommonElement`
      Overrides:
        `getModeValue` in class `JRBaseElement`

    - #### getLinkType

          public java.lang.String getLinkType()

      Description copied from interface: `JRHyperlink`
      Returns the hyperlink type.

      The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

      Specified by:
        `getLinkType` in interface `JRHyperlink`
      Returns:
        the hyperlink type

    - #### setLinkType

          public void setLinkType(java.lang.String type)

      Sets the hyperlink type.

      The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

      Parameters:
        `type` - the hyperlink type

    - #### getLinkTarget

          public java.lang.String getLinkTarget()

      Description copied from interface: `JRHyperlink`
      Returns the hyperlink target name.

      The type can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

      Specified by:
        `getLinkTarget` in interface `JRHyperlink`
      Returns:
        the hyperlink target name

    - #### setLinkTarget

          public void setLinkTarget(java.lang.String target)

      Sets the hyperlink target.

      The target can be one of the built-in target names (Self, Blank, Top, Parent), or can be an arbitrary target name.

      Parameters:
        `target` - the hyperlink target

    - #### getHyperlinkParameters

          public JRHyperlinkParameter[] getHyperlinkParameters()

      Description copied from interface: `JRHyperlink`
      Returns the list of hyperlink parameters.

      The parameters can be used by custom hyperlink types to generate dynamic links.

      Specified by:
        `getHyperlinkParameters` in interface `JRHyperlink`
      Returns:
        the list of hyperlink parameters

    - #### getHyperlinkParametersList

          public java.util.List<JRHyperlinkParameter> getHyperlinkParametersList()

      Returns the list of custom hyperlink parameters.
      Returns:
        the list of custom hyperlink parameters

    - #### addHyperlinkParameter

          public void addHyperlinkParameter(JRHyperlinkParameter parameter)

      Adds a custom hyperlink parameter.
      Parameters:
        `parameter` - the parameter to add

    - #### removeHyperlinkParameter

          public void removeHyperlinkParameter(JRHyperlinkParameter parameter)

      Removes a custom hyperlink parameter.
      Parameters:
        `parameter` - the parameter to remove

    - #### removeHyperlinkParameter

          public void removeHyperlinkParameter(java.lang.String parameterName)

      Removes a custom hyperlink parameter.

      If multiple parameters having the specified name exist, all of them will be removed

      Parameters:
        `parameterName` - the parameter name

    - #### getHyperlinkTooltipExpression

          public JRExpression getHyperlinkTooltipExpression()

      Description copied from interface: `JRHyperlink`
      Returns the expression which will generate the hyperlink tooltip.
      Specified by:
        `getHyperlinkTooltipExpression` in interface `JRHyperlink`
      Returns:
        the expression which will generate the hyperlink tooltip

    - #### setHyperlinkTooltipExpression

          public void setHyperlinkTooltipExpression(JRExpression hyperlinkTooltipExpression)

      Sets the expression which will be used to generate the hyperlink tooltip.
      Parameters:
        `hyperlinkTooltipExpression` - the expression which will be used to generate the hyperlink tooltip
      See Also:
        `getHyperlinkTooltipExpression()`

    - #### getDefaultLineColor

          public java.awt.Color getDefaultLineColor()

      Specified by:
        `getDefaultLineColor` in interface `JRBoxContainer`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRDesignElement`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com